AnalyticBinaryBarrierEngine Class Reference
Pricing engines » Barrier option engines

Analytic pricing engine for American binary barriers options. More...

`#include <ql/pricingengines/barrier/analyticbinarybarrierengine.hpp>`

Inheritance diagram for AnalyticBinaryBarrierEngine:
[legend]

## Public Member Functions

| AnalyticBinaryBarrierEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const
Public Member Functions inherited from GenericEngine< BarrierOption::arguments, BarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from BarrierOption::engine
bool | triggered (Real underlying) const
Protected Attributes inherited from GenericEngine< BarrierOption::arguments, BarrierOption::results >
BarrierOption::arguments | arguments_
BarrierOption::results | results_

## Detailed Description

Analytic pricing engine for American binary barriers options.

The formulas are taken from "The complete guide to option pricing formulas 2nd Ed", E.G. Haug, McGraw-Hill, p.176 and following.

Tests:
  - the correctness of the returned value in case of cash-or-nothing at-expiry binary payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing at-expiry binary payoff is tested by reproducing results available in literature.